/** -*- Mode: C++; tab-width: 4 -*-
 * vim: sw=4 ts=4:
 *
 * Gnome Apt options dialog
 *
 * 	(C) 1998 Havoc Pennington <hp@pobox.com>
 * 	    2003, 2004 Filip Van Raemdonck <mechanix@debian.org>
 *
 * This program is free software; you can redistribute it and/or 
 * modify it under the terms of the GNU General Public License as 
 * published by the Free Software Foundation; either version 2 of the
 * License, or (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307
 * USA
 *
 * 	$Id$
 *
 **/

#ifndef GNOME_APT_PREFERENCES_H
#define GNOME_APT_PREFERENCES_H

#include "gnome-apt.h"

#include "pkglist.h"

class Preferences
{
public:
  Preferences();
  ~Preferences();

  void edit();

  // kind of a hack, but not so bad I guess
  void set_pkglist(GAptPkgList* pl) { pkglist_ = pl; }
	void go_up (void);
	void go_down (void);

private:
	GAptPkgList* pkglist_;
	GtkWidget* tree;

  friend class OrderEdit;

	void apply (void);

	static void response_cb (GtkWidget*, gint, gpointer);
  static gint close_cb (GtkWidget* w, gpointer data);
  void close();
};

Preferences* gnome_apt_preferences();
void         gnome_apt_preferences_shutdown();

#endif
